<?php
/* Copyright 2007-2009 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */
?>
<h2>Tags</h2>

<p>Tags are a key feature in many recent softwares. They are designed to
describe the content of a subject. In our case, that subject is an album.</p>

<p>Tags are generally used as a way of categorizing items. However, unlike what
is commonly done with categories, items can be tagged with as many tags as you
want: an album can have traits of both science-fiction and fantasy, for example.
You can also use tags in a variety of other ways, like creating a <em>gift</em>
tag for albums that someone offered to you.</p>

<h3 id="add">Add a tag to an album</h3>

<p>To add a tag to an album, write it into the tag field of the album
edit page. If that tag doesn't exist yet, it will be created
automatically.</p>

<!-- TODO
<p class="see-also"><strong>See also:</strong> <link to album edition help></p>
 -->

<h3 id="rename">Rename a tag</h3>

<p>Tags can be renamed by going to the tag view page, and selecting <em>Rename
this tag</em> from the menu. All albums tagged with that tag will refer to
the new tag name.</p>