<?php
/* Copyright 2007-2009 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */
?>
<h2>Problèmes</h2>

<p>Voici une liste de problèmes communs, et comment les résoudre. Lire
cette section n'est sans doute pas utile si vous ne rencontrez aucun problème.</p>

<ul>

<li>
<h4 id="popups">La recherche rapide d'affiche pas les résultats sélectionnés.
	<br /><em>ou</em><br />
	Le navigateur d'images ne s'ouvre pas.
	</h4>
<p>Ces outils sont basés sur des fenetres s'ouvrant en Javascript. La plupart
des navigateurs sont équipés d'un système pour bloquer ces fenêtres souvent
associées à des publicités. Les paramètres de ce système dépendent d'un
navigateur à l'autre, et pourraient être trop restrictifs pour Demyo. Vous
devriez désactiver ce système pour Demyo.</p>
<p>Référez-vous à la documentation du navigateur Internet pour configurer les
réglages:</p>
<ul>
	<li><a href="http://support.mozilla.com/fr/kb/Contr%C3%B4le%20des%20fen%C3%AAtres%20popup">Mozilla Firefox</a></li>
	<li><a href="http://windowshelp.microsoft.com/Windows/fr-FR/help/6553df0e-c42b-4f47-8376-7e76950e8f241036.mspx">Microsoft Internet Explorer</a></li>
	<li><a href="http://www.google.com/support/chrome/bin/answer.py?answer=95472">Google Chrome</a></li>
	<li><a href="http://www.opera.com/browser/tutorials/settings/#tabs">Opera</a></li>
	<li><a href="http://www.apple.com/safari/">Safari</a></li>
	<li>Autres: cherchez les pages de support du fournisseur.</li>
</ul>
</li>

</ul>