<?php
/* Copyright 2007-2009 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */

if (isset($redirectionWarning))
	echo "<div class=\"warning\">$redirectionWarning</div>\n";

$helpEntry = $help['entry'];

if (! empty($helpEntry['heirs'])) {?>
	<ol class="help-toc-short">
<?php foreach ($helpEntry['heirs'] as $heir) {
	echo "\t\t<li>".$helpBrowser->directLink($heir)."</li>\n";
} ?>
	</ol>
<?php }
// Include page
if (!empty($helpEntry['src'])) {
	if (! is_readable($file = APP.'locale'.DS.$help['lang'].DS.'help'.DS.$helpEntry['src']))
		echo '<div class="error">'.__s('Failed to open help file %s.', $file).'</div>';
	else
		include($file);
}
?>

<div class="help-navigation">
<?php
if (isset($helpEntry['previous']))
	echo '<div class="help-previous">« '.$helpBrowser->directLink($helpEntry['previous']).'</div>';
if (isset($helpEntry['parent']))
	echo '<div class="help-parent">'.$helpBrowser->directLink($helpEntry['parent']).'</div>';
else
	echo '<div class="help-parent">'.$helpBrowser->directLink('index').'</div>';
if (isset($helpEntry['next']))
	echo '<div class="help-next">'.$helpBrowser->directLink($helpEntry['next']).' »</div>';
?>
</div>
