<?php
/* Copyright 2007-2009 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */
$this->pageTitle = __('View an image', true);

$quicksearch->setSearchCategories(array('Series', 'Album'));

$menu->makePopupMenu(array(
	array('edit' => 'Image', 'id' => $image['id']),
	array('delete' => 'Image', 'id' => $image['id']),
	array('add' => 'Image')
));

echo $shadowbox->init();
?>
<table class="details">
	<?php if (!empty($image['description'])) { ?>
	<tr><th><?php __('Description') ?></th><td><?=nl2br($image['description'])?></td></tr>
	<?php } ?>
	
	<tr><th><?php __('URL') ?></th><td><?=$image['url']?></td></tr>
	
	<tr><th><?php __('Image') ?></th><td>
	<?=$shadowbox->thumb($image['url'], $image['thumb_url'],
				array('alt' => __('Image', true), 'isLocal' => $image['is_local']));?></td></tr>
	
	<?php if (! empty($albums)) { ?>
	<tr><th><?php __('Used in the following albums') ?></th>
	<td><?=$list->HTMLList($albums, array('title'), '/albums/view/%d')?></td></tr>
	<?php } ?>
	
	<?php if (! empty($derivatives)) { ?>
	<tr><th><?php __('Used in the following derivatives') ?></th>
	<td><?=$list->HTMLList($derivatives, array('meta_name'), '/derivatives/view/%d')?></td></tr>
	<?php } ?>
</table>
