<?php
/* Copyright 2007-2009 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */
$this->pageTitle = __('Search', true);

$jQuery->checkInclude();
?>

<script type="text/javascript">
jQuery.noConflict();
function cbVal(name) {
	return document.getElementsByName(name)[0].checked?'on':'off';
}
function ajaxSubmit() {
	if (jQuery('form input[name="data[Search][query]"]').val().length == 0) {
		document.getElementById('results').innerHTML = '';
		return;
	}
	//return alert('submitting');
	jQuery.post(
		'<?=Router::url("/library/dosearch", false);?>',
		{'data[Search][query]': jQuery('form input[name="data[Search][query]"]').val(),
		'data[Search][Series]': cbVal('data[Search][Series]'),
		'data[Search][Album]': cbVal('data[Search][Album]'),
		'data[Search][Author]': cbVal('data[Search][Author]'),
		'data[Search][Publisher]': cbVal('data[Search][Publisher]'),
		'data[Search][Collection]': cbVal('data[Search][Collection]'),
		'data[Search][Source]': cbVal('data[Search][Source]')
		},function(responseText, textStatus) {
			// Looks like jQuery(foo).html() is broken
			document.getElementById('results').innerHTML = responseText;
		}
	);
}
jQuery(document).ready(function() {
	jQuery('form input[name="data[Search][query]"]').delayedEvent('keyup', ajaxSubmit);
	jQuery('form input[type="checkbox"]').bind('change', ajaxSubmit);
});
</script>

<form action="" onsubmit="ajaxSubmit(); return false;" id="search" method="post">
<fieldset>
<legend><?php __('Search the library') ?></legend>
<table class="details">
<tr><th><?php __('Query') ?></th><td><input type="text" id="query" name="data[Search][query]" value="" /></td></tr>
<tr><th><?php __('Search in these categories') ?></th><td>
	<input type="checkbox" name="data[Search][Series]" id="Series" checked="checked"/><label for="Series"><?php __('Series')?></label><br />
	<input type="checkbox" name="data[Search][Album]" id="Album" checked="checked"/><label for="Album"><?php __('Albums')?></label><br />
	<input type="checkbox" name="data[Search][Author]" id="Author"/><label for="Author"><?php __('Authors')?></label><br />
	<input type="checkbox" name="data[Search][Publisher]" id="Publisher"/><label for="Publisher"><?php __('Publishers')?></label><br />
	<input type="checkbox" name="data[Search][Collection]" id="Collection"/><label for="Collection"><?php __('Collection')?></label><br />
	<input type="checkbox" name="data[Search][Source]" id="Source"/><label for="Source"><?php __('Source')?></label>
</td></tr>
</table>
<div class="buttons"><input type="submit" value="<?php __('Search') ?>" /></div>
</fieldset>
</form>

<div id="results">
</div>

