<?php /* Copyright 2007-2009 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */
$this->pageTitle = __('Statistics', true);
?>
<h2><?php __('Counts') ?></h2>

<p>
<?php
echo __s('The library totals %1$d albums (%2$d of which are originals and %3$s lended, for a total worth of %13$s %4$.2f) in %5$d series.<br />'
	.'Those were written by %6$d authors and published by %7$d publishers in %8$d collections.<br />'
	.'There are %9$d derivatives, for a total worth of %13$s %10$.2f.<br />'
	.'%11$d images were specified, and items are tagged with %12$d different tags.',
	$counts['Album'], $counts['Album_orig'], $counts['Album_lended'], $worth['Album'], $counts['Series'],
	$counts['Author'], $counts['Publisher'], $counts['Collection'],
	$counts['Derivative'], $worth['Derivative'],
	$counts['Image'], $counts['Tag'], Configure::read('Demyo.currency'));
?>
</p>

<h2><?php __('Album editions per year') ?></h2>
<?=$chart->chart($charts['thisEd']['data'], $charts['thisEd']['labels'], array('x_grid' => 0, 'y_grid' => 25)) ?>
<p><?=__s('%s albums not shown in chart (too old or edition wasn\'t specified)', $charts['thisEd']['notShown']); ?></p>

<h2><?php __('Album purchase per year') ?></h2>
<?=$chart->chart($charts['purchase']['data'], $charts['purchase']['labels'], array('x_grid' => 0, 'y_grid' => 25)) ?>
<p><?=__s('%s albums not shown in chart (too old or purchase date wasn\'t specified)', $charts['purchase']['notShown']); ?></p>

<?php $jQuery->checkInclude(); ?>
<script type="text/javascript">
jQuery.noConflict();
jQuery(document).ready(function() {
	jQuery('div.log').hide();
});
</script>

<h2><?php __('Logs') ?></h2>
<p class="show_hide"><a onclick="jQuery('div#error_log').toggle()"><?php __('Toggle error log')?></a></p>
<div class="log" id="error_log"><?=$logs['error']?></div>
<p class="show_hide"><a onclick="jQuery('div#debug_log').toggle()"><?php __('Toggle debug log')?></a></p>
<div class="log" id="debug_log"><?=$logs['debug']?></div>
