<?php
/* Copyright 2007-2009 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */
$isEdit = isset($isEdit) && $isEdit;

$quicksearch->setSearchCategories(array('Publisher', 'Collection'));

$menu->makePopupMenu(array(array('add' => 'Collection')));
?>

<form class="addedit" method="post" action="<?=Router::url('/publishers/'.($isEdit?'edit':'add'))?>">
<fieldset>
<legend><?=($isEdit?__('Edit a publisher', true):__('Add a publisher', true))?></legend>
<?php
if ($isEdit)
	echo $form->hidden('Publisher.id');
?>
<input type="hidden" name="smartFlash" value="<?=$smartFlash?>" />
<table class="details">
<?php
echo '<tr><th>'.$form->label('Publisher.name', __('Name', true)).'</th><td>'.$form->text('Publisher.name')."</td></tr>\n";
echo '<tr><th>'.$form->label('Publisher.website', __('Website', true)).'</th><td>'.$form->text('Publisher.website')."</td></tr>\n";
echo '<tr><th>'.$form->label('Publisher.feed', __('News feed (RSS)', true)).'</th><td>'.$form->text('Publisher.feed')."</td></tr>\n";
echo '<tr><th>'.$form->label('Publisher.history', __('History', true)).'</th><td>'.$form->textarea('Publisher.history', Configure::read('Demyo.View_textareaAttribs'))."</td></tr>\n";
?>
</table>
<div class="buttons"><input type="submit" value="<?php if ($isEdit) __('Update'); else __('Add')?>" /><input type="reset" value="<?php __('Reset')?>" /></div>
</fieldset>
</form>