<?php
/* Copyright 2007-2009 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */
$this->pageTitle = __('Sources', true);

$quicksearch->setSearchCategories(array('Source'));

if (empty($sources)) {
	echo '<div class="info">'.__('No sources to show', true).'</div>';
	return;
}
?>

<?php
$letters = $myPaginator->letters();
if ($letters) {
	?>
<div class="pages_nav_letters">
	<?=$myPaginator->letters()?>
</div>
	<?php
}
?>

<div class="text_list_column">
<ul class="sources_list">
<?php
$num = 0;
foreach ($sources as $source) {
	if ($num !== 0 && $num%$perColumn === 0)
		echo "</ul></div>\n<div class=\"text_list_column\"><ul class=\"sources_list\">\n";
	
	$details = empty($source['Source']['address'])?'':('<p>'.nl2br($source['Source']['address'].'</p>'))
		.(empty($source['Source']['phone_number'])?'':('<p>'.nl2br($source['Source']['phone_number'].'</p>')));
	
	echo "\t<li>",$html->link($source['Source']['name'], '/sources/view/'.$source['Source']['id'])
		.$details
		."</li>\n";
	$num++;
}
?>
</ul>
</div>

<div class="clearer"></div>

<div class="pages_nav_numbers">
	<?=$myPaginator->prev()?> <?=$myPaginator->numbers()?> <?=$myPaginator->next()?>
</div>
<div class="pages_nav_jump">
	<?=$myPaginator->directJump()?>
</div>
