<?php
/* Copyright 2007-2009 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */
if (empty($this->pageTitle))
	$this->pageTitle = __('Albums', true);

$quicksearch->setSearchCategories(array('Series', 'Album', 'Tag'));

$menu->makePopupMenu(array(
	array('add' => 'Album'),
	array('add' => 'Series')
));
?>

<div class="sorter"><?php echo $myPaginator->sort(__('Sort by series name (ascending/descending)', true), 'Series.name');?></div>

<?php
$letters = $myPaginator->letters();
if ($letters) {
	?>
<div class="pages_nav_letters">
	<?=$myPaginator->letters()?>
</div>
	<?php
}
?>

<?php

// Internet explorer < 7 will have trouble displaying li:hover and I found no
// Javascript solution that was as neat
if (isset($_SERVER['HTTP_USER_AGENT'])
		&& (preg_match("/MSIE [0-6]/", $_SERVER['HTTP_USER_AGENT']))) {
	$jQuery->warning(__('Versions of Internet Explorer prior to Internet '
		.'Explorer 7 suffer from bugs that may prevent them from rendering all '
		.'features properly. Consider upgrading to another browser (such as Firefox).', true));
	// TODO make a workaround using jQuery
}

$lastSeriesID = '';
$first = true;
eval($myPaginator->counter(array('format' => ('$max = %end% - %start% + 1;'))));
$num = 0;
?>

<div class="text_list_column album_list_column">
<?php
foreach($albums as $album) {
	if ($num != 0 && $num%$perColumn == 0 && $num<$max-1) {
		echo "\t</ul>\n</div>\n<div class=\"text_list_column album_list_column\">\n";
		if ($lastSeriesID == $album['Album']['series_id']) // Only if we continue previous columb
			echo "\t<ul>\n";
	}
	
	if ($lastSeriesID !== $album['Album']['series_id']) {
		if ($num%$perColumn != 0) // On first element in column
			echo "\t</ul>\n";

		$lastSeriesID = $album['Album']['series_id'];
		echo "\t<h2>{$album['Series']['name']}</h2>\n\t<ul>\n";
	}
	
	echo "\t\t<li>"
		.$html->link($text->shortenWithFullWords($album['Album']['title'], 35), '/albums/view/'.$album['Album']['id'])
		. "</li>\n";
	$num++;
}
?>
</ul>
</div>

<div class="clearer"></div>

<?php $myPaginator->options(array('url' => $this->params['pass'])); ?>
<div class="pages_nav_numbers">
	<?=$myPaginator->prev()?> <?=$myPaginator->numbers()?> <?=$myPaginator->next()?>
</div>
<div class="pages_nav_jump">
	<?=$myPaginator->directJump()?>
</div>
