<?php
/* Copyright 2007-2009 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */
$isEdit = isset($isEdit) && $isEdit;

$quicksearch->setSearchCategories(array('Series', 'Album'));

$menu->makePopupMenu(array(
	array('add' => 'Album'),
	array('add' => 'Derivative')
));

echo $helpBrowser->pageLink('manage-images');
?>

<form class="addedit" method="post" action="<?=Router::url('/images/'.($isEdit?'edit':'add'))?>">
<fieldset>
<legend><?=($isEdit?__('Edit an image', true):__('Add an image', true))?></legend>
<?php
if ($isEdit)
	echo $form->hidden('Image.id');
?>
<input type="hidden" name="smartFlash" value="<?=$smartFlash?>" />
<table class="details">
<?php
if ($isEdit)
	$browserURL = Router::url('/images/browser/base:'.$this->data['Image']['id']);
else
	$browserURL = Router::url('/images/browser');

echo '<tr><th>'.$form->label('Image.url', __('Path', true)).'</th><td>'.$form->text('Image.url')
	.'<img src="'.Router::url('/img/mime-image.png').'" class="input-helper" alt="'.__('Browse image directory', true)
	.'" onclick="window.open(\''.$browserURL.'\', \'\',  \'height=400,width=600,top=310,left=40,location=no,menubar=no,resizable=yes,scrollbars=yes,toolbar=no,status=no,directories=no\')" '
	.'title="'.__('Browse image files', true).'" />'
	."</td></tr>\n";
echo '<tr><th>'.$form->label('Image.description', __('Description', true)).'</th><td>'.$form->textarea('Image.description', Configure::read('Demyo.View_textareaAttribs'))."</td></tr>\n";
?>
</table>
<div class="buttons"><input type="submit" value="<?php if ($isEdit) __('Update'); else __('Add')?>" /><input type="reset" value="<?php __('Reset')?>" /></div>
</fieldset>
</form>