<?php
/* Copyright 2007-2009 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */
$this->pageTitle = $tag['Tag']['name'].' - '.__('Tags', true);

$quicksearch->setSearchCategories(array('Tag'));

$menu->makePopupMenu(array(
	array('edit' => 'Tag', 'id' => $tag['Tag']['id']),
	array('delete' => 'Tag', 'id' => $tag['Tag']['id'])
));
?>

<h2><?=$tag['Tag']['name']?></h2>

<?php
if (sizeof($tag['Album']) == 0) {
	echo '<p>'.__s('No albums tagged with %s', $tag['Tag']['name']).'</p>';
	return;
}

echo $list->seriesAlbumShortList($tag['Album']);
echo $list->seriesAlbumShortListJSEnabler()
?>
